<html lang="en">
<head>
    <meta charset="UTF-8">
    <style type="text/css">
        .chat-outer-box {
            height: 90%;
            width: 100%;
            display: block;
            overflow: auto;
        }

        .chat-input-box {
            width: 100%;
            display: table;
        }
    </style>

    <script type="application/javascript">
        var name = "";

        function requestName() {
            name = prompt("Kérlek add meg a neved:", "");
            if (name === "") {
                requestName();
            }
        }

        var socket = new WebSocket("ws://localhost:8099/chat");

        socket.onmessage = function (event) {
            var chatBox = document.querySelector('#chatBox');
            var messageElement = document.createElement("div");
            messageElement.appendChild(document.createTextNode(event.data));
            chatBox.appendChild(messageElement);
        };

        function send() {
            var chatTextElement = document.querySelector('#chatText');
            var text = chatTextElement.value;
            socket.send(name + ": " + text);
            chatTextElement.value = '';
        }

        function sendIfEnter(event) {
            if (event.key === "Enter") {
                send();
            }
        }
    </script>
</head>
<body onload="requestName()">
<div class="chat-outer-box">
    <div id="chatBox">

    </div>
</div>
<div class="chat-input-box">
    <input id="chatText" type="text" style="width: 90%" onkeypress="sendIfEnter(event)">
    <input type="submit" value="Küld" style="width: 10%" onclick="send()">
</div>
</body>
</html>